package com.idea.buildManage.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ParkInfoExcel implements Serializable {

    @ExcelProperty(value = "楼盘/小区名称")
    private String groupName;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    @ExcelProperty(value = "性质")
    private String nature;

    @ExcelProperty(value = "预销售许可证编号")
    private String preSalesLicenseNumber;

    @ExcelProperty(value = "开发公司")
    private String companyName;

    @ExcelProperty(value = "总建筑面积(㎡)")
    private String buildArea;

    @ExcelProperty(value = "总用地面积(㎡)")
    private String landArea;

    @ExcelProperty(value = "立项批文")
    private String projectApprovalDocument;

    @ExcelProperty(value = "工程规划许可证")
    private String engineeringPlanningPermit;

    @ExcelProperty(value = "施工许可证")
    private String constructionPermit;

    @ExcelProperty(value = "土地证号")
    private String landCertificateNumber;

    @ExcelProperty(value = "用地许可证号")
    private String landUsePermitNumber;

    @ExcelProperty(value = "容积率")
    private String volumeRatio;

    @ExcelProperty(value = "绿化率")
    private String greenRatio;

    @ExcelProperty(value = "标准单价")
    private String price;

    @ExcelProperty(value = "超标单价")
    private String exceededPrice;

    @ExcelProperty(value = "楼盘面积测绘状态")
    private String areaStatus;

    @ExcelProperty(value = "楼盘销售状态")
    private String saleStatus;

    @ExcelProperty(value = "行政区划")
    private String regionalismCode;

    @ExcelProperty(value = "详细地址")
    private String address;

    @ExcelProperty(value = "备注")
    private String introduction;

    @ExcelIgnore
    private String reason;

    private static final long serialVersionUID = 1L;

}