package com.idea.customerManagement.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel("选房详情、认购金")
@Data
public class RoomSelectionInfo implements Serializable {
    private String id;

    private String customerManagementId;

    private String groupId;

    private String discId;

    private String buildId;

    private String houseId;

    private Integer status;

    private BigDecimal receivableMoney;

    private BigDecimal receivedAmount;

    private Integer paymentMethod;

    private String serialNumber;

    private String collectionId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date collectionTime;

    private String createdId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String fileList;

    private String depositNumber;

    private static final long serialVersionUID = 1L;

}